## mkdocs-autorefs 0.4.1

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash

DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_serve_args = host port
release_args = version
test_args = cleancov match

BASIC_DUTIES = \
	changelog \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	docs-regen \
	docs-serve \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@bash scripts/multirun.sh duty check-quality check-types check-docs
	@$(DUTY) check-dependencies

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@bash scripts/multirun.sh duty $@ $(call args,$@)

=== debian/changelog ===
mkdocs-autorefs (0.4.1-4) unstable; urgency=medium

  * Team upload.
  * [5755f05] Drop Poetry buildsystem workaround.
  * [d97a949] d/control: Add missing build-test-dep pytest-cov, pytest-xdist.
  * [1ac5cec] d/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 23:06:40 -0400

mkdocs-autorefs (0.4.1-3) unstable; urgency=medium

  * [e3e3b77] Rebuild patch queue from patch-queue branch
    Added patch:
    Switch-to-poetry-as-build-system.patch
    Removed patch:
    Switch-to-setuptools-as-build-system.patch
  * [f009954] d/{control,rules}: Switch over to pyproject system
  * [a7e54fc] d/rules: Adjust the version metainformation injection
  * [14aba81] d/rules: Remove py.typed file before do packaging
  * [c10e6a6] d/README.source: Update additional notes due usage of poetry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Apr 2022 07:34:18 +0200

mkdocs-autorefs (0.4.1-2) unstable; urgency=medium

  * [9835bdc] d/control: Correct upstream homepage URL

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Apr 2022 17:50:56 +0200

mkdocs-autorefs (0.4.1-1) unstable; urgency=medium

  * [dacace3] New upstream version 0.4.1
  * [1c15ef7] First and basic Debianization
    (Closes: #1009255)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Apr 2022 08:21:40 +0200

=== debian/control ===
Source: mkdocs-autorefs
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-sequence-python3,
 mkdocs,
 pybuild-plugin-pyproject,
 python3-pdm-pep517,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-autorefs
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-autorefs.git
Homepage: https://github.com/mkdocstrings/autorefs

Package: mkdocs-autorefs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Plugin for MkDocs to automatically link across pages
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains an plugin for MkDocs that can add linking across the
 various sites created by MkDocs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=autorefs
export PYBUILD_SYSTEM=pyproject
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocs_autorefs/py.typed
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 python3-all,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for mkdocs-autorefs

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocstrings/autorefs.git \
      refs/tags/@ANY_VERSION@

## mkdocs-autorefs 0.5.0

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash
DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_args = host port
release_args = version
test_args = cleancov match

BASIC_DUTIES = \
	changelog \
	check-api \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock -G:all

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@pdm multirun duty check-quality check-types check-docs
	@$(DUTY) check-dependencies check-api

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@pdm multirun duty $@ $(call args,$@)

=== debian/changelog ===
mkdocs-autorefs (0.5.0-1) unstable; urgency=medium

  * [08c4a63] New upstream version 0.5.0
  * [c7e9ca9] d/control: Switch to python3-pdm-backend in B-D
  * [60e4732] d/rules: Use PDM_BUILD_SCM_VERSION for version injecting
  * [e001c56] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Aug 2023 07:30:28 +0200

mkdocs-autorefs (0.4.1-5) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Move build toolchain packages from Build-Depends to
    Build-Depends-Indep to avoid FTBFS in -S build.
      + https://lists.debian.org/debian-devel/2023/07/msg00188.html indicates
        that B-D-Indep is not required to be installed in source build. This
        especially leaves the "clean" target affected without build-dep in
        place.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Jul 2023 12:08:43 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-pdm-backend,
 Build-Depends-Indep:
- dh-sequence-python3,
  mkdocs,
- pybuild-plugin-pyproject,
- python3-pdm-pep517,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-xdist <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-autorefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-autorefs.git
 Homepage: https://github.com/mkdocstrings/autorefs

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_NAME=autorefs
 export PYBUILD_SYSTEM=pyproject
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocs_autorefs/py.typed
-export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
+export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --buildsystem=pybuild

## mkdocs-autorefs 1.0.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 SHELL := bash
 DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
 export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12
+export PDM_MULTIRUN_USE_VENVS ?= $(if $(shell pdm config python.use_venv | grep True),1,0)
 
 args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
 check_quality_args = files
@@ -18,7 +19,8 @@
 	docs \
 	docs-deploy \
 	format \
-	release
+	release \
+	vscode
 
 QUALITY_DUTIES = \
 	check-quality \

=== debian/changelog ===
mkdocs-autorefs (1.0.1-1) unstable; urgency=medium

  * [d62fd37] d/watch: Set compression=gz
  * [61950d2] New upstream version 1.0.1
  * [11ef4a6] d/copyright: Update year and email contact data
  * [6192988] d/control: Add new required build dependency
  * [e752822] d/rules: Add one test to ignore while build
  * [4454d91] autopkgtest: Also ignore this one test here
  * [b802267] autopkgtest: Add python3-pymdownx to dependencies

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Mar 2024 19:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-pdm-backend,
 Build-Depends-Indep:
  mkdocs,
+ python3-pymdownx <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-xdist <!nocheck>,

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 python3-all,
 python3-pymdownx,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/mkdocstrings/autorefs.git \

## mkdocs-autorefs 1.2.0

=== debian/changelog ===
mkdocs-autorefs (1.2.0-1) unstable; urgency=medium

  * [e096b4f] New upstream version 1.2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 16:45:44 +0200

mkdocs-autorefs (1.1.0-1) unstable; urgency=medium

  * [14e3bfa] New upstream version 1.1.0
  * [a1af58f] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [520641c] d/control: Add Testsuite: autopkgtest-pkg-python

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Aug 2024 09:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-xdist <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-autorefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-autorefs.git
 Homepage: https://github.com/mkdocstrings/autorefs
+Testsuite: autopkgtest-pkg-python
 
 Package: mkdocs-autorefs
 Architecture: all

## mkdocs-autorefs 1.3.0

=== debian/changelog ===
mkdocs-autorefs (1.3.0-1) unstable; urgency=medium

  * [404cbf2] New upstream version 1.3.0
  * [d651a34] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 15 Jan 2025 16:44:47 +0200

## mkdocs-autorefs 1.3.1

=== debian/changelog ===
mkdocs-autorefs (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * [ec084d6] New upstream version 1.3.1

 -- Luan Mateus Cesar Duarte <luanmateus.duarte@gmail.com>  Mon, 17 Feb 2025 21:48:50 -0300

## mkdocs-autorefs 1.4.1

=== debian/changelog ===
mkdocs-autorefs (1.4.1-1) unstable; urgency=medium

  * [04b1c64] New upstream version 1.4.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 07:35:59 +0200

mkdocs-autorefs (1.4.0-1) unstable; urgency=medium

  * [b70999b] New upstream version 1.4.0
  * [1fe43d3] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [f926d67] d/control: Add new B-D for the tests
  * [dafb51e] autopkgtests: Adding new required packages here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 28 Feb 2025 19:51:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 export PYBUILD_NAME=autorefs
 export PYBUILD_SYSTEM=pyproject
+export PYBUILD_TEST_ARGS=-k 'not test_reference_implicit_with_code_inlinehilite_python'
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocs_autorefs/py.typed
 export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

## mkdocs-autorefs 1.4.2

=== debian/changelog ===
mkdocs-autorefs (1.4.2-1) unstable; urgency=medium

  * [be0b61d] New upstream version 1.4.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 May 2025 09:39:04 +0200

## mkdocs-autorefs 1.4.3

=== debian/changelog ===
mkdocs-autorefs (1.4.3-1) unstable; urgency=medium

  * [fa81f83] d/watch: Convert to version 5
  * [d5085d5] New upstream version 1.4.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 19 Sep 2025 15:11:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,16 @@
  pybuild-plugin-pyproject,
  python3-pdm-backend,
 Build-Depends-Indep:
- mkdocs,
+ mkdocs <!nocheck>,
+ mkdocstrings <!nocheck>,
+ mkdocs-material <!nocheck>,
+ python3-griffe <!nocheck>,
  python3-pymdownx <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-xdist <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-autorefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-autorefs.git
 Homepage: https://github.com/mkdocstrings/autorefs

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 mkdocs-material,
 mkdocstrings,
 python3-all,
 python3-griffe,
 python3-pymdownx,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/mkdocstrings/autorefs.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## mkdocs-autorefs 1.4.4

=== debian/changelog ===
mkdocs-autorefs (1.4.4-1) unstable; urgency=medium

  * [c7a8389] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [421ba1d] New upstream version 1.4.4
  * [4e2418f] d/control: Update Standards-Version to 4.7.3
    No further changes needed.
  * [d515c28] d/control: d/control: Drop field Priority: optional
  * [3af2fc9] d/copyright: Update year data
  * [861c53f] Revert "d/rules: Remove py.typed file before do packaging"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Feb 2026 16:25:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  python3-all,
@@ -19,8 +18,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-xdist <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-autorefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-autorefs.git
 Homepage: https://github.com/mkdocstrings/autorefs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=autorefs
export PYBUILD_SYSTEM=pyproject
export PYBUILD_TEST_ARGS=-k 'not test_reference_implicit_with_code_inlinehilite_python'
export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild
